<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS DZ1</title>
</head>

<body>
   
    <main>
        
    </main>
    <script>
        
        /*  1. Як можна оголосити змінну у Javascript?
                Змінну можна оголосити через var, let і const.
            2. У чому різниця між функцією prompt та функцією confirm?
                prompt видає модальне вікно з полем для вводу інфо і повертає введене в поле значення. confirm видає модальне вікно з двома опціями - підтвердження та скасування і повертає true в разі підтвердження і false в разі скасування.
            3. Що таке неявне перетворення типів? Наведіть один приклад.
                Неявне перетворення типів - це перетворення. як відбувається автоматично при виконанні операцій, тобто без умисного оголошення перетворення типів. Найпоширеніший приклад - перетворення у тип String при операції додавання значень типів string та number:
                let sample_string = "age "; - sample_string тип даних змінної sample_string - string
                let sample_number = 34; - тип даних змінної sample_number - number
                let user_age = sample_string + sample_number; - user_age матиме тип даних string, відубулось неявне перетворення типу даних
        */


        let admin;
        let name;
        name = "Serhii";
        admin = name;
        console.log(admin);

        let days = 5;
        const hours_in_day = 24;
        const seconds_in_day = hours_in_day*60*60;
        let total_seconds = days*seconds_in_day;
        console.log(total_seconds);

        // let days = 5;
        // const seconds_in_day = hours_in_day*60*60;
        // let total_seconds = days*seconds_in_day;
        // console.log(total_seconds);

        // let days = 5;
        // console.log(days*24*60*60);

        // let user_age = +prompt("Enter your age");
        // console.log(user_age);
        console.log(+prompt("Enter your age"));

    </script>
</body>

</html>